std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits > Class Template Reference
Regular Expressions

## Public Types

typedef std::ptrdiff_t | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef basic_regex< _Ch_type, _Rx_traits > | regex_type
typedef match_results< _Bi_iter > | value_type

## Public Member Functions

| regex_iterator ()
| regex_iterator (_Bi_iter __a, _Bi_iter __b, const regex_type &__re, regex_constants::match_flag_type __m=regex_constants::match_default)
| regex_iterator (_Bi_iter, _Bi_iter, const regex_type &&, regex_constants::match_flag_type=regex_constants::match_default)=delete
| regex_iterator (const regex_iterator &__rhs)=default
bool | operator!= (const regex_iterator &__rhs) const
const value_type & | operator* () const
regex_iterator & | operator++ ()
regex_iterator | operator++ (int)
const value_type * | operator-> () const
regex_iterator & | operator= (const regex_iterator &__rhs)=default
bool | operator== (const regex_iterator &__rhs) const

## Public Attributes

const typedef value_type * | pointer
const typedef value_type & | reference

## Detailed Description

### template<typename _Bi_iter, typename _Ch_type = typename iterator_traits<_Bi_iter>::value_type, typename _Rx_traits = regex_traits<_Ch_type>>
class std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits >

An iterator adaptor that will provide repeated calls of regex_search over a range until no more matches remain.

Definition at line 2484 of file regex.h.

The documentation for this class was generated from the following files:

- regex.h
- regex.tcc